Python ‘py-bcrypt’ 模块身份验证绕过漏洞(CVE-2013-1895)

受影响系统:
Python py-bcrypt Module 0.x
描述:
BUGTRAQ ID: 58702
CVE(CAN) ID: CVE-2013-1895

Py-bcrypt是OpenBSD Blowfish密码哈希算法的实现。

Python py-bcrypt 0.3之前版本没有正确执行并发内存范围操作,在实现上存在身份验证绕过漏洞,可被利用绕过安全限制,非法访问系统。

<*来源:Alan Fairless 链接:http://secunia.com/advisories/52701/ http://seclists.org/oss-sec/2013/q1/742 https://code.google.com/p/py-bcrypt/source/detail?r=3bc365ff43736d26ff37e9f2a4084f37b381b569 *>

建议:
厂商补丁:

Python
——
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

www.python.org